Subject: Re: bug#65049: Minor update to the repro steps

From: Maxim Kim <[email-masked]>
Date: Wed, 23 Aug 2023 09:43:38 +1000

Eli Zaretskii <[email-masked]> writes:

> If these are your settings, then please try the recipe in "emacs -Q"
> first and see if it works there.

For the repo created earlier when language-environment was utf-8 and
(setq-default buffer-file-coding-system 'utf-8-unix) I get the same
error with "runemacs.exe -Q":

file: hello.txt

--8<---------------cut here---------------start------------->8---
hello
world
--8<---------------cut here---------------end--------------->8---

buffer info: hello.txt

--8<---------------cut here---------------start------------->8---
- -- undecided-unix (alias: unix)

No conversion on encoding, automatic conversion on decoding.
Type: undecided (do automatic conversion)
EOL type: LF
This coding system encodes the following charsets:
  ascii
--8<---------------cut here---------------end--------------->8---

*vc-diff*:

--8<---------------cut here---------------start------------->8---
diff --git a/hello.txt b/hello.txt
index ce01362..94954ab 100644
--- a/hello.txt
+++ b/hello.txt
@@ -1 +1,2 @@
 hello
+world
--8<---------------cut here---------------end--------------->8---

buffer info: *vc-diff*

--8<---------------cut here---------------start------------->8---
1 -- iso-latin-1-dos (alias: iso-8859-1-dos latin-1-dos)

ISO 2022 based 8-bit encoding for Latin-1 (MIME:ISO-8859-1).
Type: charset (charset)
EOL type: CRLF
This coding system encodes the following charsets:
  iso-8859-1

--8<---------------cut here---------------end--------------->8---

git version 2.41.0.windows.3

However, if I do it for a fresh repo again and "runemacs -Q" it works.

All the buffers have EOL type: CRLF (hello.txt, *vc-diff*).

Now if I do "C-x RET f utf-8-unix" to have unix LF and add another
"line" to hello.txt "C-x v D" fails again with same error as before.